## hw-detect 1.71ubuntu6

=== debian/changelog ===
hw-detect (1.71ubuntu6) jaunty; urgency=low

  [ Loic Minier ]
  * Install libc6-vfp on armel systems where the vfp word is found in the
    /proc/cpuinfo features.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:52:40 +0000

hw-detect (1.71ubuntu5) jaunty; urgency=low

  * Use 'update-dev --settle' rather than 'update-dev' after loading modules
    (although not after installing new module packages, which may still
    require a trigger). Requires di-utils 1.66.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 16:31:50 +0000

hw-detect (1.71ubuntu4) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Feb 2009 10:19:04 +0000

hw-detect (1.71ubuntu3) jaunty; urgency=low

  * Improve checks for dm-* drivers being present to avoid relying on them
    being built as modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Dec 2008 14:38:36 +0000

hw-detect (1.71ubuntu2) jaunty; urgency=low

  * Backport from trunk:
    - Ask the correct parameters question if modprobe fails.
    - Cope with dm-mod being built-in.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Dec 2008 21:28:16 +0000

hw-detect (1.71ubuntu1) jaunty; urgency=low

  [ Timo Aaltonen ]
  * disk-detect.sh: Remove dm-emc from the multipath modules, since
    it's gone since 2.6.27.

  [ Colin Watson ]
  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Install mouseemu on systems likely to have single-button mice (i.e.
      Macs), but not powerpc64 since that causes an oops in the input layer.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - Add hooks for iSCSI support.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Reinstate snd-powermac for i2s-a devices since apparently the lock-up
      has been fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Dec 2008 19:01:16 +0000

hw-detect (1.70ubuntu3) jaunty; urgency=low

  * Reinstate snd-powermac for i2s-a devices since apparently the lock-up
    has been fixed (LP: #87652).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Nov 2008 17:46:21 +0000

hw-detect (1.70ubuntu2) jaunty; urgency=low

  * Make dmraid logging a bit neater.
  * 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Nov 2008 18:20:39 +0000

hw-detect (1.70ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Install mouseemu on systems likely to have single-button mice (i.e.
      Macs), but not powerpc64 since that causes an oops in the input layer.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - Add hooks for iSCSI support.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 05 Nov 2008 10:56:29 +1100

hw-detect (1.63ubuntu4) intrepid; urgency=low

  * disk-detect.sh, debian/disk-detect.templates: If dmraid arrays are found,
    ask the user if they want to use them. (LP: #279288)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 15 Oct 2008 09:41:15 +1100

hw-detect (1.63ubuntu3) intrepid; urgency=low

  * disk-detect.sh: Do not pass the complete device node path to
    dmraid-activate, since it no longer uses basename.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Sep 2008 11:09:36 +1000

hw-detect (1.63ubuntu2) intrepid; urgency=low

  * disk-detect.sh: Do not check the kernel command line for any option
    to enable dmraid support. If functional dmraid arrays are found, they
    will be activated.
  * debian/disk-detect.templates: Remove disk-detect/dmraid/enable template.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 28 Aug 2008 00:13:21 +1000

hw-detect (1.63ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Install mouseemu on systems likely to have single-button mice (i.e.
      Macs), but not powerpc64 since that causes an oops in the input layer.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - Add hooks for iSCSI support.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2008 13:00:09 +0100

hw-detect (1.62ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:

