=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/hw-detect/ubuntu

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: rootskel (>= 1.30), archdetect, cdebconf-udeb (>= 0.75), di-utils (>= 1.66), pciutils-udeb
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel (>= 1.30), cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector
