=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: hw-detect
 Section: debian-installer
 Priority: standard
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/hw-detect/ubuntu
 
@@ -33,6 +33,15 @@
 XB-Installer-Menu-Item: 3500
 Description: Detect disk drives
 
+Package: driver-injection-disk-detect
+XC-Package-Type: udeb
+Architecture: all
+Depends: hw-detect, mountmedia
+Priority: optional
+Enhances: hw-detect
+XB-Installer-Menu-Item: 1500
+Description: Detect OEM driver injection disks
+
 Package: archdetect
 XC-Package-Type: udeb
 Architecture: any
