## hw-detect 1.81ubuntu2.1

=== debian/changelog ===
hw-detect (1.81ubuntu2.1) natty-proposed; urgency=low

  * Load xenbus_probe_frontend if we're running under the Xen hypervisor
    (LP: #857662).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 23:42:59 +0100

hw-detect (1.81ubuntu2) natty; urgency=low

  * Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add an
    archdetect(1) manual page.
  * Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jan 2011 12:14:44 -0600

hw-detect (1.81ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Reinstate snd-powermac for i2s-a devices since apparently the lock-up
      has been fixed.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 10:45:26 +0000

hw-detect (1.81) unstable; urgency=low

  [ Thibaut Girka ]
  * The g_ether module is used to provide networking over USB on the
    Openmoko phones. Register it in order to have network in the
    installed system. Closes #593109

  [ Otavio Salvador ]
  * Handle all_generic_ide=1 kernel param.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Persian (fa.po) by Behrad Eslamifar
  * Icelandic (is.po) by Sveinn  Felli

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 14:42:31 -0200

hw-detect (1.80ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Reinstate snd-powermac for i2s-a devices since apparently the lock-up
      has been fixed.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Oct 2010 13:21:28 +0100

hw-detect (1.80) unstable; urgency=low

  * Add -g/--guess option to archdetect to ask for heuristics that make it
    easier to bring up new boards, based on a patch from Michael Casadevall.
    See http://lists.debian.org/debian-boot/2010/08/msg00641.html for
    rationale.  Requires libdebian-installer4-dev (>= 0.76).

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Behrad Eslamifar
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Andrei Popescu
  * Serbian (sr.po) by Janos Guljas
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Sep 2010 18:23:23 +0100

hw-detect (1.79) unstable; urgency=low

  [ Christian Perrier ]
  * Reviewed driver injection disks templates with the help
    of debian-l10n-english. Unjargonized and wordig aligned with
    other D-I templates. Moved strings to sublevel 3 as this template
    is used in some corner cases.
  * Add dependency on cdebconf-udeb for driver-injection-disk-detect
    udeb

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by maacub
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek, Modern (1453-) (el.po) by debian-l10n-greek
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Persian (fa.po) by acathur

