## hw-detect 1.81ubuntu3

=== debian/changelog ===
hw-detect (1.81ubuntu3) oneiric; urgency=low

  * Load xenbus_probe_frontend if we're running under the Xen hypervisor
    (LP: #857662).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 23:21:48 +0100
