## hw-detect 1.84

=== debian/changelog ===
hw-detect (1.84) unstable; urgency=low

  [ Joey Hess ]
  * check-missing-firmware: Avoid reloading modules that have a network
    interface that is already configured. Closes: #605983

  [ Petter Reinholdtsen ]
  * Add Vcs-Browser entry to control file, in addition to the Vcs-Svn
    entry.

  [ Updated translations ]
  * Northern Sami (se.po) by Børre Gaup
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:27:22 -0200

hw-detect (1.83) unstable; urgency=low

  * Set DI_PROGRESS_BAR_VISIBLE flag when running discover-pkginstall
    to avoid it destroying pkgsel's progress bar.
    (Bug #605938 asks for discover to honor this flag.)

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh

 -- Joey Hess <joeyh@debian.org>  Sat, 04 Dec 2010 16:16:59 -0400

hw-detect (1.82) unstable; urgency=low

  [ Joey Hess ]
  * check-missing-firmware: When called from ethdetect, take interfaces
    up and down each time through the loop. Previously this was only done
    once, which caused a bug, as the first pass through does not prompt
    for missing firmware, and on subsequent passes, the firmware was not
    requested. Closes: #537502
    (Thanks, Asbjørn Sloth Tønnesen)

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Otavio Salvador <otavio@debian.org>  Wed, 24 Nov 2010 09:52:34 -0200
