## hw-detect 1.84+squeeze2

=== debian/changelog ===
hw-detect (1.84+squeeze2) squeeze; urgency=low

  * No-changes upload to get rid of the .git directory in the source package.

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Mar 2011 11:44:49 +0100

hw-detect (1.84+squeeze1) squeeze; urgency=low

  [ Jurij Smakov ]
  * Increase the number of attempts to detect the new disk devices in
    disk_found() of disk-detect.sh to 15, bringing the total waiting time
    to 28 seconds. Current timeout of 4 seconds is not sufficient for
    some SCSI subsystems with long driver/disk initialization time.
    Closes: #611314

  [ Miguel Figueircedo ]
  * discover-mac-io.sh: Fix module loading for Ibook G4 (powermac). Closes:
    #525902, #525946, #606984.
    Thanks to Risto Suominen <risto.suminen@gmail.com>.

  [ Otavio Salvador ]
  * Blacklist snd-aoa to allow snd-powermac to work. Refs: #606984.

 -- Otavio Salvador <otavio@debian.org>  Fri, 11 Mar 2011 19:58:14 -0300
