=== debian/changelog ===
hw-detect (1.88) unstable; urgency=low

  [ Milan Kupcevic ]
  * discover-mac-io.sh: Detect OHare, Heathrow/Paddington, and KeyLargo ATA
    controllers to support transition from formerly compiled-in ide-pmac driver
    to pata_macio module. Ref: #636269.

  [ Joey Hess ]
  * check-missing-firmware.sh: Add a special case for USB devices, for
    which the devpath provided from firmware.agent claims to be for the
    usbcore module. Search through subdirectories of the devpath to find
    the actual driver module for the USB hardware. Closes: #648631
    (Thanks, Brian Potkin, for testing the fix.)

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Nov 2011 12:38:54 -0400

hw-detect (1.87) unstable; urgency=low

  [ Jurij Smakov ]
  * check-missing-firmware.sh: support new missing firmware directory
    location (/run/udev/firmware-missing) in addition to the old one.

 -- Jurij Smakov <jurij@debian.org>  Thu, 23 Jun 2011 20:55:23 +0100

hw-detect (1.86) unstable; urgency=low

  * Team upload

  [ Miguel Figueiredo ]
  * discover-mac-io.sh: blacklist snd-aoa-* modules to allow snd-powermac 
    to work. Closes #606984.
  * Change priority of driver-injection-disk/load template. Closes: #583650.
 
  [ Otavio Salvador ]
  * Blacklist snd-aoa to allow snd-powermac to work. Refs: #606984.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Felipe Castro
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uighur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Apr 2011 22:22:00 +0200

hw-detect (1.85) unstable; urgency=low

  * discover-mac-io.sh: Fix module loading for Ibook G4 (powermac). Closes:
    #525902, #525946, #606984. 
    Thanks to Risto Suominen <risto.suminen@gmail.com>.
  * Install mmc-modules if no disk is found, since some devices may not
    have hard drives, but SD slots instead. Closes: #593108
  * Increase the number of attempts to detect the new disk devices in
    disk_found() of disk-detect.sh to 15, bringing the total waiting time
    to 28 seconds. Current timeout of 4 seconds is not sufficient for
    some SCSI subsystems with long driver/disk initialization time.
    Closes: #611314

 -- Jurij Smakov <jurij@debian.org>  Sun, 27 Feb 2011 12:33:23 +0000
