=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
-Vcs-Browser: http://svn.debian.org/wsvn/d-i/trunk/packages/hw-detect/
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect
+Vcs-Browser: http://git.debian.org/?p=d-i/hw-detect.git
+Vcs-Git: git://git.debian.org/d-i/hw-detect.git
 
 Package: hw-detect
 XC-Package-Type: udeb
