## hw-detect 1.88ubuntu2

=== debian/changelog ===
hw-detect (1.88ubuntu2) precise; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 11:45:59 +0100

hw-detect (1.88ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.
    - Load xenbus_probe_frontend if we're running under the Xen hypervisor.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Nov 2011 15:43:43 +0000

hw-detect (1.87ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.
    - Load xenbus_probe_frontend if we're running under the Xen hypervisor.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Oct 2011 20:08:42 +0100
