=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: hw-detect
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
-Vcs-Browser: http://git.debian.org/?p=d-i/hw-detect.git
-Vcs-Git: git://git.debian.org/d-i/hw-detect.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/hw-detect.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/hw-detect.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/hw-detect/ubuntu
 
 Package: hw-detect
 XC-Package-Type: udeb
@@ -46,3 +48,17 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Hardware architecture detector
+
+Package: archdetect-deb
+Section: utils
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: Hardware architecture detector
+ This package provides the 'archdetect' tool, which displays the current
+ machine architecture and subarchitecture.  The architecture corresponds to
+ that built into dpkg, and describes the CPU (and possibly kernel) types;
+ the subarchitecture distinguishes machines with different boot arrangements
+ that require special handling.
+ .
+ This package would be called 'archdetect', but a udeb of that name already
+ existed for use in the installer.
