## hw-detect 1.88ubuntu2+6.0trisquel1

=== debian/changelog ===
hw-detect (1.88ubuntu2+6.0trisquel1) toutatis; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 11 Feb 2013 15:58:17 +0000
